summaryrefslogtreecommitdiff
path: root/dwm/autostart_blocking_sah.sh
diff options
context:
space:
mode:
authorself <george@gabbott.dev>2022-09-19 11:36:53 +0100
committerself <george@gabbott.dev>2022-09-19 11:36:53 +0100
commita22ebaff2ef77453b95c6b1076fefb7407eae7fb (patch)
tree2fade997a0727d8ac0206cc29c0728174dae41e5 /dwm/autostart_blocking_sah.sh
parent893679fe76e96c6a81efed52956a911992e6ef17 (diff)
Check dunst/dwmblocks aren't running before start
Diffstat (limited to 'dwm/autostart_blocking_sah.sh')
-rwxr-xr-xdwm/autostart_blocking_sah.sh15
1 files changed, 12 insertions, 3 deletions
diff --git a/dwm/autostart_blocking_sah.sh b/dwm/autostart_blocking_sah.sh
index 1776129..e1bd901 100755
--- a/dwm/autostart_blocking_sah.sh
+++ b/dwm/autostart_blocking_sah.sh
@@ -1,9 +1,18 @@
#!/bin/sh
-feh --bg-scale $(shuf -n1 -e ~/bgs/*) --no-fehbg
-dwmblocks &
+feh --bg-scale "$(shuf -n1 -e ~/bgs/*)" --no-fehbg
+if ! pgrep dwmblocks >/dev/null ; then
+ dwmblocks &
+fi
+
alacritty &
setxkbmap -option caps:swapescape
# Notifications
-dunst &
+
+if ! pgrep dunst >/dev/null ; then
+ dunst &
+fi
+
+
+